{{ header }}{{ column_left }}
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-shipping" data-toggle="tooltip" title="{{ button_save }}"
                        class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="{{ cancel }}" data-toggle="tooltip" title="{{ button_cancel }}" class="btn btn-default"><i
                            class="fa fa-reply"></i></a></div>
            <h1>{{ heading_title }}</h1>
            <ul class="breadcrumb">
                {% for breadcrumb in breadcrumbs %}
                    <li><a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a></li>
                {% endfor %}
            </ul>
        </div>
    </div>
    <div class="container-fluid pp">
        {% if success %}
            <div class="alert alert-success">
                <i class="fa fa-check-circle"></i> {{ success }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error %}
            <div class="alert alert-danger">
                <i class="fa fa-exclamation-circle"></i> {{ error }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        {% if error_warning %}
            <div class="alert alert-danger">
                <i class="fa fa-exclamation-circle"></i> {{ error_warning }}
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        {% endif %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-list"></i> {{ text_edit }}</h3>
            </div>
            <div class="panel-body">
                {% if valid %}
                    {% if zone == 'orders' %}
                        <div class="well">
                            <div class="row">
                                <div class="col-sm-4">
                                    <form id="form_filter" method="get" action="">
                                        <div class="form-group" style="margin-left: 0;">
                                            <label class="control-label" for="input-name">{{ text_pickup }}</label>

                                            <input type="hidden" name="route" value="extension/cargus/istoric"></input>
                                            <input type="hidden" name="user_token" value="{{ user_token }}"></input>
                                            <select name="LocationId" id="cargus_preferinte_pickup"
                                                    class="form-control">
                                                {% for pick in pickups %}
                                                    {% if pick.LocationId == cargus_preferinte_pickup %}
                                                        <option value="{{ pick.LocationId }}"
                                                                selected="selected">{{ pick.Name ~ ' | ' ~ pick.LocalityName }}</option>
                                                    {% else %}
                                                        <option value="{{ pick.LocationId }}">{{ pick.Name ~ ' | ' ~ pick.LocalityName }}</option>
                                                    {% endif %}
                                                {% endfor %}
                                            </select>
                                        </div>
                                        <button type="button" id="button-filter" class="btn btn-primary"><i
                                                    class="fa fa-search"></i> {{ text_changepickup }}</button>
                                    </form>
                                    <script>
                                        $(function () {
                                            $('#button-filter').click(function () {
                                                $('#form_filter').submit();
                                            });
                                        });
                                    </script>
                                </div>
                            </div>
                        </div>

                        {% if orders|length > 0 %}
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <td class="text-left">{{ text_idcomanda }}</td>
                                        <td class="text-left">{{ text_datavalidare }}</td>
                                        <td class="text-left">{{ text_intervalridicare }}</td>
                                        <td class="text-left">{{ text_dataprocesare }}</td>
                                        <td class="text-left">{{ text_awburi }}</td>
                                        <td class="text-left">{{ text_plicuri }}</td>
                                        <td class="text-left">{{ text_colete }}</td>
                                        <td class="text-left">{{ text_greutate }}</td>
                                        <td class="text-left">{{ text_status }}</td>
                                        <td class="text-left" width="50"></td>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for item in orders %}
                                        <tr>
                                            <td class="text-left">{{ item.OrderId }}</td>
                                            <td class="text-left">{{ item.ValidationDate ? item.ValidationDate|date('d.m.Y') : '-' }}</td>
                                            <td class="text-left">{{ item.PickupStartDate ? item.PickupStartDate|date('d.m.Y H:i')  ~ ' - ' ~ item.PickupEndDate|date('H:i') : '-' }}</td>
                                            <td class="text-left">{{ item.ProcessedDate ? item.ProcessedDate|date('d.m.Y') : '-' }}</td>
                                            <td class="text-left">{{ item.NoAwb }}</td>
                                            <td class="text-left">{{ item.NoEnvelop }}</td>
                                            <td class="text-left">{{ item.NoParcel }}</td>
                                            <td class="text-left">{{ item.TotalWeight }} kg</td>
                                            <td class="text-left">{{ item.OrdStatus }}</td>
                                            <td class="text-right">
                                                <a href="{{ view_url }}&LocationId={{ cargus_preferinte_pickup }}&OrderId={{ item.OrderId }}"
                                                   data-toggle="tooltip" title="" class="btn btn-info"
                                                   data-original-title="{{ text_view }}">
                                                    <i class="fa fa-eye"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                                <div style="color:#999; font-size:11px; padding:10px 0;">Sunt afisate ultimele 100 de
                                    comenzi
                                    efectuate pentru punctul curent de ridicare. Pentru comenzile anterioare, va rugam
                                    sa consultati
                                    pagina Cargus
                                </div>
                            </div>
                        {% else %}
                            <div class="alert alert-danger">
                                <i class="fa fa-exclamation-circle"></i> {{ text_noresults }}
                            </div>
                        {% endif %}

                    {% elseif zone == 'awb_details' %}
                        {% if detaliuAwb is iterable %}
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <tbody>
                                    <tr class="headings">
                                        <th colspan="2" class="no-link last">{{ text_awb_expeditor }}</th>
                                    </tr>
                                    <tr>
                                        <td width="150">{{ text_awb_nume }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.Name ? detaliuAwb.Sender.Name : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_judet }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.CountyName ? detaliuAwb.Sender.CountyName : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_localitate }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.LocalityName ? detaliuAwb.Sender.LocalityName : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_strada }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.StreetName ? detaliuAwb.Sender.StreetName : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_numar }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.BuildingNumber ? detaliuAwb.Sender.BuildingNumber : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_adresa }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.AddressText ? detaliuAwb.Sender.AddressText : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_perscontact }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.ContactPerson ? detaliuAwb.Sender.ContactPerson : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_telefon }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.PhoneNumber ? detaliuAwb.Sender.PhoneNumber : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_email }}</td>
                                        <td class="last">{{ detaliuAwb.Sender.Email ? detaliuAwb.Sender.Email : '-' }}</td>
                                    </tr>

                                    <tr class="headings">
                                        <th colspan="2" class="no-link last">{{ text_awb_destinatar }}</th>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_nume }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.Name ? detaliuAwb.Recipient.Name : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_judet }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.CountyName ? detaliuAwb.Recipient.CountyName : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_localitate }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.LocalityName ? detaliuAwb.Recipient.LocalityName : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_strada }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.StreetName ? detaliuAwb.Recipient.StreetName : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_numar }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.BuildingNumber ? detaliuAwb.Recipient.BuildingNumber : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_adresa }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.AddressText ? detaliuAwb.Recipient.AddressText : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_perscontact }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.ContactPerson ? detaliuAwb.Recipient.ContactPerson : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_telefon }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.PhoneNumber ? detaliuAwb.Recipient.PhoneNumber : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_email }}</td>
                                        <td class="last">{{ detaliuAwb.Recipient.Email ? detaliuAwb.Recipient.Email : '-' }}</td>
                                    </tr>

                                    <tr class="headings">
                                        <th colspan="2" class="no-link last">{{ text_awb_detaliiawb }}</th>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_codbara }}</td>
                                        <td class="last">{{ detaliuAwb.BarCode ? detaliuAwb.BarCode : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_plicuri }}</td>
                                        <td class="last">{{ detaliuAwb.Envelopes ? detaliuAwb.Envelopes : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_colete }}</td>
                                        <td class="last">{{ detaliuAwb.Parcels ? detaliuAwb.Parcels : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_greutate }}</td>
                                        <td class="last">{{ detaliuAwb.TotalWeight ? detaliuAwb.TotalWeight : '-' }}
                                            kg
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_valoaredeclarata }}</td>
                                        <td class="last">{{ detaliuAwb.DeclaredValue ? detaliuAwb.DeclaredValue : '0' }}
                                            lei
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_rambursnumerar }}</td>
                                        <td class="last">{{ detaliuAwb.CashRepayment ? detaliuAwb.CashRepayment : '0' }}
                                            lei
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_ramburscont }}</td>
                                        <td class="last">{{ detaliuAwb.BankRepayment ? detaliuAwb.BankRepayment : '0' }}
                                            lei
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_rambursalt }}</td>
                                        <td class="last">{{ detaliuAwb.OtherRepayment ? detaliuAwb.OtherRepayment : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_deschidere }}</td>
                                        <td class="last">{{ detaliuAwb.OpenPackage ? text_da : text_nu }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_livraresambata }}</td>
                                        <td class="last">{{ detaliuAwb.SaturdayDelivery ? text_da : text_nu }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_livraredimineata }}</td>
                                        <td class="last">{{ detaliuAwb.MorningDelivery ? text_da : text_nu }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_plataexpeditie }}</td>
                                        <td class="last">{{ detaliuAwb.ShipmentPayer == 1 ? text_awb_expeditor : detaliuAwb.ShipmentPayer == 2 ? text_awb_destinatar : text_awb_tert }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_observatii }}</td>
                                        <td class="last">{{ detaliuAwb.Observations ? detaliuAwb.Observations : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_continut }}</td>
                                        <td class="last">{{ detaliuAwb.PackageContent ? detaliuAwb.PackageContent : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_awb_serieclient }}</td>
                                        <td class="last">{{ detaliuAwb.CustomString ? detaliuAwb.CustomString : '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>{{ text_status }}</td>
                                        <td class="last">{{ detaliuAwb.Status ? detaliuAwb.Status : '-' }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        {% else %}
                            <div class="alert alert-danger">
                                <i class="fa fa-exclamation-circle"></i> {{ text_nodata }}
                            </div>
                        {% endif %}

                    {% else %}

                        {% if awbs|length > 0 %}
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <td class="text-left">{{ text_serieclient }}</td>
                                        <td class="text-left">{{ text_numarawb }}</td>
                                        <td class="text-left">{{ text_numedestinatar }}</td>
                                        <td class="text-left">{{ text_localitatedestinatar }}</td>
                                        <td class="text-left">{{ text_plicuri }}</td>
                                        <td class="text-left">{{ text_colete }}</td>
                                        <td class="text-left">{{ text_greutate }}</td>
                                        <td class="text-left">{{ text_cost }}</td>
                                        <td class="text-left">{{ text_datavalidare }}</td>
                                        <td class="text-left">{{ text_status }}</td>
                                        <td class="text-left" width="50"></td>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for item in awbs %}
                                        <tr>
                                            <td class="text-left">{{ item.CustomString }}</td>
                                            <td class="text-left">
                                                <a target="_blank" style="text-decoration:none; color:#000;"
                                                   href="https://www.cargus.ro/Private/Tracking.aspx?CodBara={{ item.BarCode }}"> {{ item.BarCode }} </a>
                                            </td>
                                            <td class="text-left">{{ item.Recipient.Name }}</td>
                                            <td class="text-left">{{ item.Recipient.LocalityName }}</td>
                                            <td class="text-left">{{ item.Envelopes }}</td>
                                            <td class="text-left">{{ item.Parcels }}</td>
                                            <td class="text-left">{{ item.TotalWeight }}</td>
                                            <td class="text-left">{{ item.ShippingCost.GrandTotal }}</td>
                                            <td class="text-left">{{ item.ValidationDate ? item.ValidationDate|date('d.m.Y') : '-' }}</td>
                                            <td class="text-left">{{ item.Status }}</td>
                                            <td class="text-right">
                                                <a href="{{ view_url }}&LocationId={{ cargus_preferinte_pickup }}&OrderId={{ OrderId }}&BarCode={{ item.BarCode }}"
                                                   data-toggle="tooltip" title="" class="btn btn-info"
                                                   data-original-title="{{ text_viewawb }}">
                                                    <i class="fa fa-eye"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        {% else %}
                            <div class="alert alert-danger">
                                <i class="fa fa-exclamation-circle"></i>
                                {{ text_noresultsawb }}
                            </div>
                        {% endif %}
                    {% endif %}
                {% endif %}
            </div>
        </div>
    </div>
</div>
{{ footer }}